# Uses of Interface
com.ocient.transport.SimplexTransport.Ctx

Packages that use SimplexTransport.Ctx
Package
Description
com.ocient.transport
com.ocient.util

## Uses of SimplexTransport.Ctx in com.ocient.transport

Fields in com.ocient.transport declared as SimplexTransport.Ctx
Modifier and Type
Field
Description
`final SimplexTransport.Ctx`
SimplexTransport.StreamCtx.`ctx`
Methods in com.ocient.transport with parameters of type SimplexTransport.Ctx
Modifier and Type
Method
Description
`CompletionStage<TransportResult<io.netty.buffer.ByteBuf>>`
JavaNetOcientWireV1Transport.`sendAndReceive(io.netty.buffer.ByteBuf request, SimplexTransport.Ctx ctx)`
`CompletionStage<TransportResult<io.netty.buffer.ByteBuf>>`
NettyOcientWireV1Transport.`sendAndReceive(io.netty.buffer.ByteBuf request, SimplexTransport.Ctx ctx)`
`CompletionStage<TransportResult<TRESPONSE>>`
SimplexTransport.`sendAndReceive(TREQUEST request, SimplexTransport.Ctx ctx)`
Sends a `SimplexTransport` to the server and returns a `CompletionStage` that completes with the `SimplexTransport` from the server.
`CompletionStage<TransportResult<Void>>`
JavaNetOcientWireV1Transport.`sendNoReceive(io.netty.buffer.ByteBuf request, SimplexTransport.Ctx ctx)`
`CompletionStage<TransportResult<Void>>`
NettyOcientWireV1Transport.`sendNoReceive(io.netty.buffer.ByteBuf request, SimplexTransport.Ctx ctx)`
`CompletionStage<TransportResult<Void>>`
SimplexTransport.`sendNoReceive(TREQUEST request, SimplexTransport.Ctx ctx)`
Sends `SimplexTransport` to the server.
Constructors in com.ocient.transport with parameters of type SimplexTransport.Ctx
Modifier
Constructor
Description
``
`StreamCtx(T item, SimplexTransport.Ctx ctx)`

## Uses of SimplexTransport.Ctx in com.ocient.util

Methods in com.ocient.util with parameters of type SimplexTransport.Ctx
Modifier and Type
Method
Description
`CompletionStage<TransportResult<io.netty.buffer.ByteBuf>>`
MockOcientCluster.Transport.`sendAndReceive(io.netty.buffer.ByteBuf request, SimplexTransport.Ctx ctx)`
`CompletionStage<TransportResult<Void>>`
MockOcientCluster.Transport.`sendNoReceive(io.netty.buffer.ByteBuf request, SimplexTransport.Ctx ctx)`